Bug 499332 - fedora 11 Preview installer aborts in case of SATA RAID (dmraid)
fedora 11 Preview installer aborts in case of SATA RAID (dmraid)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 513462
  Show dependency treegraph
 
Reported: 2009-05-06 03:51 EDT by Winfrid Tschiedel
Modified: 2010-06-28 08:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:23:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
installation on Fujitsu Primergy rx200s4 (ddf1) (165.69 KB, text/plain)
2009-05-06 03:51 EDT, Winfrid Tschiedel
no flags Details
installation on Fujitsu Celsius W370 (isw) (119.72 KB, text/plain)
2009-05-06 03:52 EDT, Winfrid Tschiedel
no flags Details

  None (edit)
Description Winfrid Tschiedel 2009-05-06 03:51:17 EDT
Created attachment 342606 [details]
installation on Fujitsu Primergy rx200s4 (ddf1)

Description of problem:

It is not possible to allocate the "root" partition of fedora in the extended partition in case of SATA RAID


Version-Release number of selected component (if applicable):


How reproducible: 
always - 
on ESB2 with LSI firmware (ddf1)
on ICH10R with Intel firmware (isw)


Steps to Reproduce:
1. Have already an installed distribution on the SATA RAID
2. Install Fedora 11 Preview
3.
  
Actual results:
Installer crashes, when you try to allocate during an customized space allocation to allocate a new partition for root ("/")


Expected results:
Successfull installation


Additional info:
Comment 1 Winfrid Tschiedel 2009-05-06 03:52:30 EDT
Created attachment 342607 [details]
installation on Fujitsu Celsius W370 (isw)
Comment 2 Chris Lumens 2009-05-06 10:11:12 EDT
Not sure what's going on with your devices, but in the first exception dump, you are seeing kernel messages like this:

<6>scsi 6:0:0:0: Attempting to queue an ABORT message:CDB: 0x0 0x0 0x0 0x0 0x0 0x0
<4>scsi6: At time of recovery, card was not paused
<4>>>>>>>>>>>>>>>>>>> Dump Card State Begins <<<<<<<<<<<<<<<<<
<4>scsi6: Dumping Card State at program address 0x20 Mode 0x22
<4>Card was paused
<4>INTSTAT[0x0] SELOID[0x0] SELID[0x0] HS_MAILBOX[0x0] 
<4>INTCTL[0x0] SEQINTSTAT[0x0] SAVED_MODE[0x4e] DFFSTAT[0x33] 
<4>SCSISIGI[0x4] SCSIPHASE[0x0] SCSIBUS[0x80] LASTPHASE[0x1] 
<4>SCSISEQ0[0x40] SCSISEQ1[0x12] SEQCTL0[0x0] SEQINTCTL[0x0] 
<4>SEQ_FLAGS[0x0] SEQ_FLAGS2[0x4] QFREEZE_COUNT[0x0] 
<4>KERNEL_QFREEZE_COUNT[0x0] MK_MESSAGE_SCB[0xff00] 
<4>MK_MESSAGE_SCSIID[0xff] SSTAT0[0x0] SSTAT1[0x0] 
<4>SSTAT2[0x0] SSTAT3[0x0] PERRDIAG[0x0] SIMODE1[0xa4] 
<4>LQISTAT0[0x0] LQISTAT1[0x0] LQISTAT2[0x0] LQOSTAT0[0x0] 
<4>LQOSTAT1[0x0] LQOSTAT2[0x0] 

and in both exception dumps, it looks it it's trying each device multiple times.  Looks like this could be a driver problem to me.
Comment 3 Chuck Ebbert 2009-05-07 00:38:12 EDT
These are two completely unrelated bugs. Looks like the second one is an anaconda bug.
Comment 4 Bug Zapper 2009-06-09 11:14:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 10:09:06 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 08:23:32 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.